# Class UnknownUserDefinedTypeError

This error indicates that the decoder was unable to locate a user-defined type (struct, enum, or contract type) via its ID. Unfortunately, we can't always avoid this at the moment; we're hoping to make this more robust in the future with Truffle DB. In the meantime, it is at least worth noting that you should not encounter this error if your entire project was written in Solidity and all compiled at once. Sorry.

#### Category

Errors

#### Hierarchy

- Error
  - UnknownUserDefinedTypeError

- Defined in codec/lib/common/types.ts:46

#####
Index

### Constructors

constructor

### Properties

id
typeString

## Constructors

### constructor

- new UnknownUserDefinedTypeError(id, typeString): UnknownUserDefinedTypeError

- #### Parameters

  - ##### id: string

  - ##### typeString: string

  #### Returns UnknownUserDefinedTypeError

  Overrides Error.constructor

  - Defined in codec/lib/common/types.ts:49

## Properties

### id

id: string

- Defined in codec/lib/common/types.ts:48

### typeString

typeString: string

- Defined in codec/lib/common/types.ts:47

Generated using TypeDoc